/*
 * $Id: ParserBuiltin.h,v 1.3 2005/06/21 10:17:12 yusuke Exp $
 *
 *  Copyright (c) 2005, Tsujii Laboratory, The University of Tokyo.
 *  All rights reserved.
 *
 */

#ifndef __Builtin_h
#define __Builtin_h

#include "Parser.h"
#include "Fsp.h"
#include "Grammar.h"
#include "Qc.h"

namespace up {
    class Builtin {
    private:
        static Parser* parser;
        
    public:
        static Parser* getParser() { return parser; }
        static void setParser(Parser* p) { parser = p; }
    };
    
} // end of namespace up

#endif // __Builtin_h

/*
 *
 * $Log: ParserBuiltin.h,v $
 * Revision 1.3  2005/06/21 10:17:12  yusuke
 *
 * copyright 񤭤ޤ
 *
 * Revision 1.2  2005/06/16 07:25:36  yusuke
 *
 * integrate-up 硥
 * version 2.0
 *
 * Revision 1.1.2.4  2005/06/07 07:37:28  ninomi
 * Parserݥ饹ľޤ
 *
 * Revision 1.1.2.3  2005/06/05 14:10:48  ninomi
 * ѥ뤬Ȥ褦ˤʤޤ
 *
 * Revision 1.1.2.2  2005/06/05 13:14:21  ninomi
 * Ȥꤢ񴹤ޤǤФäϤ줫
 *
 * Revision 1.1.2.1  2005/06/05 10:12:19  ninomi
 * upmayz/srcβ˰ܤϤޤ
 *
 * Revision 1.3  2004/11/16 09:13:54  ninomi
 * Artistic LicenseƬˤĤޤ
 *
 * Revision 1.2  2004/06/30 07:41:48  ninomi
 * up 0.2˰ܹԤ뤿0.1θŤե
 *
 * Revision 1.1  2004/05/15 14:07:44  ninomi
 * BuiltinѤΥ饹Ĥޤ
 *
 *
 */
