/*
 * $Id: mainPosTagger.cc,v 1.3 2005/06/21 10:50:49 yusuke Exp $
 *
 *  Copyright (c) 2005, Tsujii Laboratory, The University of Tokyo.
 *  All rights reserved.
 *
 */

#include <iostream>
#include "maxent.h"

extern ME_Model_Data me_model_data[];

using namespace std;

string postag(const string & s, const ME_Model & me);

int main()
{
  ME_Model me;
  //  cerr << "initializing the model...";
  //  me.load_from_file("./model.wsj");
  me.load_from_array(me_model_data);
  //  cerr << "done" << endl;

  string line;
  while (getline(cin, line)) {
    string postagged = postag(line, me);
    cout << postagged << endl;
  }
  
}

/*
 * $Log: mainPosTagger.cc,v $
 * Revision 1.3  2005/06/21 10:50:49  yusuke
 *
 * copyright 񤭤ޤ
 *
 * Revision 1.2  2005/06/16 07:25:33  yusuke
 *
 * integrate-up 硥
 * version 2.0
 *
 * Revision 1.1.2.1  2005/06/09 10:31:25  yusuke
 *
 * tagger 򤳤˰ܤޤ
 *
 * Revision 1.1.2.1  2005/06/06 05:03:46  ninomi
 * mainPosTagger.ccäޤ
 *
 * Revision 1.3  2004/11/16 09:14:07  ninomi
 * Artistic LicenseƬˤĤޤ
 *
 * Revision 1.2  2004/07/27 09:25:42  tsuruoka
 * remove messages to stderr
 *
 * Revision 1.1  2004/07/27 08:24:53  tsuruoka
 * add postagger main
 *
 */

