/**********************************************************************
 *
 *  Copyright (c) 2005, Tsujii Laboratory, The University of Tokyo.
 *  All rights reserved.
 *
 *  @file Lexbank.cc
 *  @version Time-stamp: <2005-06-21 19:06:08 yusuke>
 *  Implementation of lexbank (a set of lists of lexical entries)
 *
 **********************************************************************/

#include "Lexbank.h"
#include "Derivation.h"
#include <liblilfes/lildbm.h>
#include <string>

namespace mayz {

  bool Lexbank::load( const std::string& filename ) {
    Derivation::initialize( mach );
    return db.load( filename );
  }
  bool Lexbank::save( const std::string& filename ) {
    return db.save( filename );
  }

}

