/**********************************************************************
 *
 *  Copyright (c) 2005, Tsujii Laboratory, The University of Tokyo.
 *  All rights reserved.
 *
 *  @file TemplateTable.cc
 *  @version Time-stamp: <2005-06-21 19:05:39 yusuke>
 *  Mappings from template names to signs
 *
 **********************************************************************/

#include "TemplateTable.h"

namespace mayz {

  using namespace lilfes;
  using namespace std;

  bool TemplateTable::load( const std::string& lexfile, const std::string& countfile ) {
    return template_db.load( lexfile )
      && ( countfile.empty() ? true : count_db.load( countfile ) );
  }
  bool TemplateTable::save( const std::string& lexfile, const std::string& countfile ) {
    return template_db.save( lexfile )
      && ( countfile.empty() ? true : count_db.save( countfile ) );
  }

}

